// DemoDlg.h : header file
//

#if !defined(AFX_DEMODLG_H__64204C1D_936E_4AA7_99CF_5DC74423AB6B__INCLUDED_)
#define AFX_DEMODLG_H__64204C1D_936E_4AA7_99CF_5DC74423AB6B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDemoDlg dialog
class CDemoDlg : public CDialog
{
// Construction
public:
	int FingerIdentify();
	int FingerVerify();

	CString m_strUserId;
	CString m_strUserName;
	CString m_strUserNote;
	
	int m_iSelItem;
	
	int  getImage();
	int  GetFingerTemplate();
	HBITMAP m_hBitmap;
	void EnableButton(BOOL bFlag);

	CDemoDlg(CWnd* pParent = NULL);	// standard constructor
	CADODatabase m_pDb;
// Dialog Data
	//{{AFX_DATA(CDemoDlg)
	enum { IDD = IDD_DEMO_DIALOG };
	CButton	m_btn_writesn;
	CButton	m_btn_readsn;
	CButton	m_btn_clear;
	CButton	m_btn_delete;
	CStatic	m_static_image3;
	CStatic	m_static_image2;
	CStatic	m_static_image1;
	CStatic	m_static_tip;
	CListCtrl	m_listctrl_info;
	CButton	m_btn_version;
	CButton	m_btn_cancel;
	CButton	m_btn_verify;
	CButton	m_btn_identify;
	CButton	m_btn_getImage;
	CButton	m_btn_getmb;
	CString	m_strUserInfo;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemoDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnbtngetImage();
	afx_msg void Onbtncancel();
	afx_msg void OnBtngetmb();
	afx_msg void OnClickListInfo(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBtnDelete();
	afx_msg void OnbtnClear();
	afx_msg void Onbtnversion();
	afx_msg void OnBtnverify();
	afx_msg void OnBtnidentify();
	afx_msg void OnBUTTONGetDevLogo();
	afx_msg void OnBtnGetDeviceNo();
	afx_msg void OnBtnGetUserInfo();
	afx_msg void OnBtnSetDeviceNo();
	afx_msg void OnBtnSetUserInfo();
	afx_msg void Onbtndllversion();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMODLG_H__64204C1D_936E_4AA7_99CF_5DC74423AB6B__INCLUDED_)
